#include "opmixer.hh"
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/ioctl.h>
#include <fcntl.h>

#ifdef HAVE_SYS_SOUNDCARD_H // Will probably work for newer FreeBSD versions as well
#include <sys/soundcard.h>
#endif

#ifdef HAVE_MACHINE_SOUNDCARD_H
#include <machine/soundcard.h>
#endif

class ossMixer {
  LineInfo **lineinfos;
public :
  ossMixer(char *);
  ossMixer(void);
  ~ossMixer(void);
  void SetLevel(int, int);
  void SetLevel(char *, int);
  int GetLevel(int dev);
  int NumDevices(void);
  int SaveSettings(void);
  int SaveSettings(const char *);
  int LoadSettings(void);
  int LoadSettings(const char *);
  int SaveToFile(const char *);
  int LoadFromFile(const char *);
  LineInfo **getInfos(void);
private:
  char *mixer_device;
  int fd;
  void init(void);
};
