#include "ossmixer.hh"
#include <unistd.h>
#include <iostream>

void usage(void){
  std::cout << "usage : \n\tvolset <mainvol> <pcmvol>\n\tvolset -m (will mute all channels)\n";
};

int main(int argc, char *argv[]){
  ossMixer *myMixer = new ossMixer("/dev/mixer");
  int mute = getopt(argc,argv,"m");
  if (argc<3 && mute<0) // Check for correct commandline
    usage();
  else if (mute>0) { // Mute all active lines
    LineInfo **infos = myMixer->getInfos();
    for (int i=0;i<myMixer->NumDevices();i++) {
      if (infos[i]->active)
	myMixer->SetLevel(infos[i]->devnr,0);
    };
  } else { // Set main- and pcmvolume
    int mainvol = atoi(argv[1]);
    int pcmvol = atoi(argv[2]);
    myMixer->SetLevel("vol",mainvol);
    myMixer->SetLevel("pcm",pcmvol);
    std::cout << "Main : " << mainvol << " PCM : " << pcmvol << endl;
  };
};
